slepc-3.10.1 2018-10-23
Report Typos and Errors

# PEPSetFromOptions

Sets PEP options from the options database. This routine must be called before PEPSetUp() if the user is to be allowed to set the solver type.

### Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPSetFromOptions(PEP pep)

Collective on PEP

### Input Parameters

| pep | - the polynomial eigensolver context

### Notes

To see all options, run your program with the -help option.

Location: src/pep/interface/pepopts.c
Index of all PEP routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/pep/examples/tutorials/ex16.c.html
src/pep/examples/tutorials/ex17.c.html
src/pep/examples/tutorials/ex28.c.html
src/pep/examples/tutorials/ex38.c.html
src/pep/examples/tutorials/ex16f90.F90.html
src/pep/examples/nlevp/acoustic_wave_1d.c.html
src/pep/examples/nlevp/acoustic_wave_2d.c.html
src/pep/examples/nlevp/butterfly.c.html
src/pep/examples/nlevp/damped_beam.c.html
src/pep/examples/nlevp/pdde_stability.c.html
src/pep/examples/nlevp/planar_waveguide.c.html